Bug 194702 - [maintainer update] devel/p5-Connector to 1.15
Summary: [maintainer update] devel/p5-Connector to 1.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-30 13:09 UTC by Sergei Vyshenski
Modified: 2014-11-10 15:50 UTC (History)
2 users (show)

See Also:


Attachments
patch for updating port (3.68 KB, patch)
2014-10-30 13:09 UTC, Sergei Vyshenski
no flags Details | Diff
log from poudriere at 10.0-amd64 (36.90 KB, text/plain)
2014-10-30 13:10 UTC, Sergei Vyshenski
no flags Details
log from poudriere at 9.3-amd64 (36.77 KB, text/plain)
2014-10-30 13:10 UTC, Sergei Vyshenski
no flags Details
log from poudriere at 8.4-amd64 (36.43 KB, text/plain)
2014-10-30 13:11 UTC, Sergei Vyshenski
no flags Details
patch for updating port (2.89 KB, patch)
2014-11-02 06:26 UTC, Sergei Vyshenski
no flags Details | Diff
log from poudriere at 10.0-amd64 (36.92 KB, text/plain)
2014-11-02 06:26 UTC, Sergei Vyshenski
no flags Details
log from poudriere at 9.3-amd64 (37.24 KB, text/plain)
2014-11-02 06:27 UTC, Sergei Vyshenski
no flags Details
log from poudriere at 8.4-amd64 (36.45 KB, text/plain)
2014-11-02 06:27 UTC, Sergei Vyshenski
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2014-10-30 13:09:50 UTC
Created attachment 148795 [details]
patch for updating port

- update 1.10 -> 1.15

Tested with portlint -AC. Just warns against non-empty $FreeBSD$ tag.

Tested with poudriere (logs attached) at:
- 10.0-amd64
- 9.3-amd64
- 8.4-amd64
During this testing, built-in tests were activated with

pre-install:	test

construct in the port's Makefile.
Comment 1 Sergei Vyshenski 2014-10-30 13:10:18 UTC
Created attachment 148796 [details]
log from poudriere at 10.0-amd64
Comment 2 Sergei Vyshenski 2014-10-30 13:10:41 UTC
Created attachment 148797 [details]
log from poudriere at 9.3-amd64
Comment 3 Sergei Vyshenski 2014-10-30 13:11:06 UTC
Created attachment 148798 [details]
log from poudriere at 8.4-amd64
Comment 4 John Marino freebsd_committer 2014-11-01 08:51:17 UTC
Thanks for the test logs.

I have real concerns about the changes to the pkg-plist though.  Why are using @dir for those perl directories?

@dir is only for creating empty directories or those outside of $PREFIX with absolute path (e.g. /var/run/something)

Could this be a misunderstanding of what @dir is meant for?
Comment 5 Sergei Vyshenski 2014-11-02 06:26:09 UTC
Created attachment 148913 [details]
patch for updating port
Comment 6 Sergei Vyshenski 2014-11-02 06:26:36 UTC
Created attachment 148914 [details]
log from poudriere at 10.0-amd64
Comment 7 Sergei Vyshenski 2014-11-02 06:27:00 UTC
Created attachment 148915 [details]
log from poudriere at 9.3-amd64
Comment 8 Sergei Vyshenski 2014-11-02 06:27:21 UTC
Created attachment 148916 [details]
log from poudriere at 8.4-amd64
Comment 9 Sergei Vyshenski 2014-11-02 06:28:12 UTC
Please find attached a new fixed patch and new test logs.

You are absolutely right. Thank you very much.
Sorry about my previous ill contribution.
Sure it is me who is solely responsible for the quality of submitted pkg-plist.
But see how it happens:

- "make makeplist" generates pkg-plist with wrong "@dir ..." lines,
- "make check-plist" finds no pkg-plist issues,
- "portlint -AC" ver 2.16.1 finds no pkg-plist issues,
- poudriere testport ver 3.0.19 finds no pkg-plist issues

After updating of the ports infrastructure on Nov 1, 2014, "make makeplist" 
generates much more wrong "@dir ..." lines than 2 days ago. 

Looks like at the moment people are actively working on support of "@dir ...".
What would you recommend? 
Wait until it stabilizes by itself? 
Or submit a PRs against Mk infrastructure etc. right now?
Comment 10 John Marino freebsd_committer 2014-11-02 07:11:37 UTC
the @dir structure is complete basically, use it now.  Maybe some sanity checks were added.  I know things like "make makeplist" (in particular) had to be updated and may need more work.  But people *always* trusted make makeplist much more than should be allowed and were turning in garbage because they didn't manually edit it afterwards.  Now you have to manually edit it even more.

So as long as you understand that make makeplist gives you a bad product (and always has) and you must manually tweak it to be good, I think it will be okay.
Comment 11 John Marino freebsd_committer 2014-11-02 07:12:14 UTC
I'm promoting this based on patch and poudriere logs.
Comment 12 commit-hook freebsd_committer 2014-11-10 15:49:50 UTC
A commit references this bug:

Author: robak
Date: Mon Nov 10 15:49:40 UTC 2014
New revision: 372401
URL: https://svnweb.freebsd.org/changeset/ports/372401

Log:
  devel/p5-Connector: update 1.10 -> 1.15

  - Fix COMMENT

  PR:		194702
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com>
  Approved by:	mentors (implicit)

Changes:
  head/devel/p5-Connector/Makefile
  head/devel/p5-Connector/distinfo
  head/devel/p5-Connector/pkg-plist
Comment 13 Bartek Rutkowski freebsd_committer 2014-11-10 15:50:37 UTC
Committed, thanks for your work!